GroovyParser.VariableDeclarationContext (Groovy 5.0.0)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.VariableDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclarationContext

-     public static class GroovyParser.VariableDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableDeclarationContext(ParserRuleContext parent, int invokingState)`
    `VariableDeclarationContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ASSIGN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.ModifiersContext` | `modifiers()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public GroovyParser.TypeContext` | `type()`
    `` | `public GroovyParser.TypeNamePairsContext` | `typeNamePairs()`
    `` | `public GroovyParser.VariableDeclaratorsContext` | `variableDeclarators()`
    `` | `public GroovyParser.VariableInitializerContext` | `variableInitializer()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### public TerminalNode ASSIGN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### @Override
      public int getRuleIndex()

    - #### public GroovyParser.ModifiersContext modifiers()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public GroovyParser.TypeContext type()

    - #### public GroovyParser.TypeNamePairsContext typeNamePairs()

    - #### public GroovyParser.VariableDeclaratorsContext variableDeclarators()

    - #### public GroovyParser.VariableInitializerContext variableInitializer()